;; Configure emacs packages.
(setq should-install-packages t) ;; Define this before everything to speed up startup.
(require 'package)
(add-to-list 'package-archives '("melpa" . "https://melpa.org/packages/") t)
(package-initialize)

(setq dotfiles-dir (file-name-directory
                    (or (buffer-file-name) (file-chase-links load-file-name))))

(add-to-list 'load-path (concat dotfiles-dir "modules"))

;; Emacs customization / global plugin configuration
(require 'jenga-company)
(require 'jenga-emacs)
(require 'jenga-evil)
(require 'jenga-helm)
(require 'jenga-magit)
(require 'jenga-org)
(require 'jenga-python)
(require 'jenga-theme)

;; Custom languages and highlighting
(require 'jenga-elm)
(require 'jenga-rust)
(require 'jenga-systemd)
(custom-set-variables
 ;; custom-set-variables was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 '(package-selected-packages
   (quote
    (ein-mumamo yasnippet use-package racer material-theme magit lsp-ui helm flycheck-rust elm-mode company-lsp cargo))))
(custom-set-faces
 ;; custom-set-faces was added by Custom.
 ;; If you edit it by hand, you could mess it up, so be careful.
 ;; Your init file should contain only one such instance.
 ;; If there is more than one, they won't work right.
 )
